libdist-zilla-perl (6.025-1) unstable; urgency=medium

  * Import upstream version 6.025.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Jun 2022 19:28:51 +0200

libdist-zilla-perl (6.024-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on libapp-cmd-perl,
      libconfig-mvp-perl, libcpan-meta-check-perl, libfile-copy-recursive-perl,
      libscalar-list-utils-perl, libsoftware-license-perl and perl.
    + libdist-zilla-perl: Drop versioned constraint on libapp-cmd-perl,
      libscalar-list-utils-perl and perl in Depends.
    + libdist-zilla-perl: Drop versioned constraint on libdata-optlist-perl in
      Recommends.
    + libdist-zilla-perl: Drop versioned constraint on
      libdist-zilla-plugin-run-perl in Breaks.
    + Remove 1 maintscript entries from 1 files.
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 6.024.
  * Update years of upstream and packaging copyright.
  * Update upstream email address.
  * Update test and runtime dependencies.
  * Refresh SOURCE_DATE_EPOCH_support.patch (offset).
  * Declare compliance with Debian Policy 4.6.0.
  * Drop unneded version constraints already satisfied in oldstable.

 -- gregor herrmann <gregoa@debian.org>  Sun, 07 Nov 2021 17:53:34 +0100

libdist-zilla-perl (6.017-1) unstable; urgency=medium

  * Import upstream version 6.017.
  * Replace '--with bash{_,-}completion' in debian/rules with a build
    dependency on 'dh-sequence-bash-completion'.
  * Add cpanminus to Recommends.
  * Remove now unused Lintian override package-contains-documentation-
    outside-usr-share-doc.

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Nov 2020 18:41:36 +0100

libdist-zilla-perl (6.015-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing build dependency on dh addon.

  [ gregor herrmann ]
  * Import upstream version 6.015.
  * Bump debhelper-compat to 13.
  * Remove manual handling of $HOME from debian/rules.
    debhelper 13 does this for us.
  * Drop bash-completion from Build-Depends-Indep as it is now in
    Build-Depends.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 May 2020 22:26:21 +0200

libdist-zilla-perl (6.014-1) unstable; urgency=medium

  [ David Miguel Susano Pinto ]
  * Recommend packages with modules required to run the test scripts
    generated by the test plugins.
  * Recommend libterm-ui-perl which is required by UploadToCPAN plugin.
    (LP: #1818391)

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Import upstream version 6.014.
  * Update build and runtime dependencies.
  * Update years of upstream and packaging copyright.
  * Add debian/libdist-zilla-perl.maintscript instead of the manual
    maintainer scripts with calls to `dpkg-maintscript-helper
    rm_conffile'.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 12.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Add a lintian override for a false positive package-contains-
    documentation-outside-usr-share-doc warning.
  * Add another lintian override (library-package-name-for-application).
  * Drop a test from debian/tests/pkg-perl/smoke-skip. It works now.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Mar 2020 19:42:10 +0100

libdist-zilla-perl (6.012-1) unstable; urgency=medium

  * Import upstream version 6.012.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 May 2018 18:42:40 +0200

libdist-zilla-perl (6.011-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Drop debian/tests/pkg-perl/smoke-tests, handled by pkg-perl-
    autopkgtest now.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 6.011.
  * Refresh SOURCE_DATE_EPOCH_support.patch (offset).
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.1.4.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Apr 2018 20:49:42 +0200

libdist-zilla-perl (6.010-1) unstable; urgency=medium

  * Import upstream version 6.010.
  * Update years of packaging copyright.
  * autopkgtest: skip t/tester-local-plugins.t for now which fails due to
    the dot-in-@INC removal. This can be reverted once the upstream issue
    is solved. (Closes: #837132)

 -- gregor herrmann <gregoa@debian.org>  Tue, 11 Jul 2017 21:17:41 +0200

libdist-zilla-perl (6.009-1) unstable; urgency=low

  * Import upstream version 6.009.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Mon, 19 Jun 2017 01:54:23 +0200

libdist-zilla-perl (6.008-1) unstable; urgency=medium

  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Import upstream version 6.008.
  * Update years of packaging copyright.
  * Drop unneeded version constraints in debian/control.
  * Drop unversioned 'libmodule-corelist-perl' from Recommends.
    It's provided by perl anyway.
  * autopkgtest: enable more smoke tests.

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Oct 2016 19:49:38 +0200

libdist-zilla-perl (6.007-1) unstable; urgency=low

  * Import upstream version 6.007.

 -- Axel Beckert <abe@debian.org>  Tue, 09 Aug 2016 22:00:31 +0200

libdist-zilla-perl (6.005-2) unstable; urgency=low

  * Also list directory "t" in debian/tests/pkg-perl/smoke-files to
    actually run the test suite.
    + List t/compile.t in debian/tests/pkg-perl/smoke-skip since it tries
      to find Perl modules in build directory and its functionality is
      covered by pkg-perl-autopkgtest's default tests anyways

 -- Axel Beckert <abe@debian.org>  Thu, 26 May 2016 00:41:06 +0200

libdist-zilla-perl (6.005-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Axel Beckert ]
  * Import upstream version 6.005
    + Refresh sole patch.
    + Update debian/NEWS wrt. to potentially breaking upstream changes.
    + Update (build-)dependencies:
      - Remove libclass-load-perl, libpath-class-perl and
        libmoosex-types-path-class-perl
      - Add libmodule-runtime-perl.

 -- Axel Beckert <abe@debian.org>  Wed, 25 May 2016 23:56:22 +0200

libdist-zilla-perl (5.047-2) unstable; urgency=medium

  * Update build and runtime dependencies, add a Recommends.
    Thanks to autopkgtest.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 May 2016 18:43:11 +0200

libdist-zilla-perl (5.047-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Axel Beckert ]
  * Import upstream version 5.047
    + Add new b-d on libscalar-list-utils-perl ≥ 1.45 and libterm-ui-perl.
    + Remove b-d on liblist-moreutils-perl.
  * Add patch to support SOURCE_DATE_EPOCH e.g. for dh-dist-zilla →
    Dist::Zilla::Plugin::PodWeaver → Pod::Weaver generated
    documentation. Should make at least librun-parts-perl reproducible.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 08 May 2016 01:19:19 +0200

libdist-zilla-perl (5.043-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Import upstream version 5.021
    + Update (build) dependencies.
  * Declare compliance with Debian Policy 3.9.6.

  [ Axel Beckert ]
  * Import upstream versions 5.039 and 5.043
    + Update versioned (build) dependencies on libapp-cmd-perl and
      libconfig-mvp-reader-ini-perl.
    + Add new build-dependency on libcpan-meta-check-perl.
    + Run test suite with TZ=UTC being set to avoid timezone related test
      suite failures. See https://github.com/rjbs/Dist-Zilla/issues/497
  * Bump debhelper compatibility to 9 as recommended.
  * Add myself to uploaders.
  * Add lintian override for being in the perl section and shipping
    /usr/bin/dzil.
  * Extend long package description a bit.
  * Make package autopkgtestable.
    + Add "Testsuite: autopkgtest-pkg-perl" header
    + Add directory "corpus" to debian/tests/pkg-perl/smoke-files.
  * Remove obsolete conffile /etc/bash_completion.d/dzil. Thanks adequate!

 -- Axel Beckert <abe@debian.org>  Fri, 22 Jan 2016 00:36:56 +0100

libdist-zilla-perl (5.020-2) unstable; urgency=medium

  * Run tests with TEST_VERBOSE=0.
    Verbose tests, as enabled in debhelper by now, still seem to break two
    tests (or "tests in tests").
    (Closes: #785659)
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 May 2015 19:18:23 +0200

libdist-zilla-perl (5.020-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Thu, 31 Jul 2014 18:45:13 +0200

libdist-zilla-perl (5.019-1) unstable; urgency=medium

  * Team upload

  * Imported Upstream version 5.019
  * add (>= 0.06) to libfile-sharedir-install-perl (build-)dependency

 -- Damyan Ivanov <dmn@debian.org>  Wed, 21 May 2014 12:12:47 +0300

libdist-zilla-perl (5.016-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Install more examples.

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 May 2014 17:48:37 +0200

libdist-zilla-perl (5.013-1) unstable; urgency=medium

  * New upstream release.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Feb 2014 16:28:41 +0100

libdist-zilla-perl (5.008-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Jan 2014 22:52:35 +0100

libdist-zilla-perl (5.006-1) unstable; urgency=low

  * Team upload

  * Import Upstream version 5.006
  * Add "break your build" changes to debian/NEWS
  * Update (build-)dependencies
  * Declare compliance with Debian Policy 3.9.5

 -- Florian Schlichting <fsfs@debian.org>  Tue, 26 Nov 2013 21:55:34 +0100

libdist-zilla-perl (4.300039-1) unstable; urgency=low

  * New upstream release.
  * Update years of packaging copyright.
  * Switch order of alternative (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Sep 2013 19:49:13 +0200

libdist-zilla-perl (4.300037-1) unstable; urgency=low

  * New upstream release
  * Versioned (Build-)Depends on libpath-class-perl
  * Bump versioned (Build-)Depends on libperl-prereqscanner-perl
  * Add libtest-script-perl to Build-Depends (require by new test)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 07 Sep 2013 17:58:06 +0200

libdist-zilla-perl (4.300034-1) unstable; urgency=low

  * New upstream release
  * Add versioned (Build-)Depends on libcpan-uploader-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 26 Apr 2013 00:20:37 +0200

libdist-zilla-perl (4.300033-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 07 Apr 2013 15:21:34 +0200

libdist-zilla-perl (4.300032-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 30 Mar 2013 12:45:26 +0100

libdist-zilla-perl (4.300031-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 22 Mar 2013 12:06:47 +0100

libdist-zilla-perl (4.300030-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Alessandro Ghedini ]
  * New upstream release
  * Update upstream copyright years

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 12 Feb 2013 13:00:08 +0100

libdist-zilla-perl (4.300028-1) unstable; urgency=low

  * New upstream release
  * (Build) depend on liblist-allutils-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 07 Nov 2012 19:21:01 +0100

libdist-zilla-perl (4.300025-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 08 Oct 2012 09:36:43 +0200

libdist-zilla-perl (4.300023-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 07 Sep 2012 13:06:36 +0200

libdist-zilla-perl (4.300021-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Alessandro Ghedini ]
  * New upstream release
  * Build depend and recommend libarchive-tar-wrapper-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 01 Aug 2012 12:06:57 +0200

libdist-zilla-perl (4.300020-1) unstable; urgency=low

  * New upstream release
  * Build depend on libtest-file-sharedir-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 28 Jun 2012 12:59:25 +0200

libdist-zilla-perl (4.300018-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 08 Jun 2012 11:52:48 +0200

libdist-zilla-perl (4.300017-2) unstable; urgency=low

  * Team upload.
  * Use writable $HOME during build to fix FTBFS (Closes: #676047)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 05 Jun 2012 17:33:02 +0200

libdist-zilla-perl (4.300017-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 31 May 2012 21:30:18 +0200

libdist-zilla-perl (4.300016-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 May 2012 18:25:05 +0200

libdist-zilla-perl (4.300015-1) unstable; urgency=low

  * New upstream release
  * (Build) depends on libcpan-meta-requirements-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 24 Apr 2012 22:43:58 +0200

libdist-zilla-perl (4.300014-1) unstable; urgency=low

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Apr 2012 15:36:39 +0200

libdist-zilla-perl (4.300013-1) unstable; urgency=low

  * New upstream release
  * Email change: Alessandro Ghedini -> ghedo@debian.org

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 01 Apr 2012 15:52:44 +0200

libdist-zilla-perl (4.300010-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump versioned (build) dep on libcpan-meta-perl and libconfig-mvp-perl

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 17 Mar 2012 12:11:17 +0100

libdist-zilla-perl (4.300009-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 22 Feb 2012 17:47:42 +0100

libdist-zilla-perl (4.300008-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 17 Feb 2012 14:11:15 +0100

libdist-zilla-perl (4.300007-1) unstable; urgency=low

  * New upstream release
  * Bump upstream copyright year

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 06 Feb 2012 10:26:27 +0100

libdist-zilla-perl (4.300006-2) unstable; urgency=low

  * Remove (B-)D(-I) on libversion-requirements-perl (which is deprecated)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 01 Jan 2012 17:15:26 +0100

libdist-zilla-perl (4.300006-1) unstable; urgency=low

  * New upstream release
  * One uploader per line
  * Versioned (B-)D(-I) on libcpan-meta-perl for CPAN::Meta::Requirements

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 30 Dec 2011 22:26:07 +0100

libdist-zilla-perl (4.300005-1) unstable; urgency=low

  * New upstream release.
  * Add (build) dependency on libclass-load-perl.
  * Update years of packaging copyright.
  * Add perl 5.13.4 as an alternative build dependency for
    Test::More 0.96.

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Dec 2011 18:40:17 +0100

libdist-zilla-perl (4.300003-1) unstable; urgency=low

  * New upstream release
  * Add libtext-glob-perl to (B-)D(-I)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 01 Nov 2011 16:27:42 +0100

libdist-zilla-perl (4.300002-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 22 Sep 2011 18:46:53 +0200

libdist-zilla-perl (4.300001-1) unstable; urgency=low

  * New upstream release
  * Remove lintian override (no more needed with new lintian)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 20 Sep 2011 11:27:23 +0200

libdist-zilla-perl (4.300000-1) unstable; urgency=low

  * New upstream release
  * Add libsub-exporter-formethods-perl to (Build-)Depends(-Indep)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 21 Aug 2011 14:53:14 +0200

libdist-zilla-perl (4.200018-1) unstable; urgency=low

  * New upstream release
  * (Build-)Depends on libperl-prereqscanner-perl (>= 1.005)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 19 Aug 2011 12:19:05 +0200

libdist-zilla-perl (4.200015-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 12 Aug 2011 21:58:40 +0200

libdist-zilla-perl (4.200013-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 06 Aug 2011 16:51:03 +0200

libdist-zilla-perl (4.200012-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Alessandro Ghedini ]
  * New upstream release
  * Remove versioned (Build-)Depends for libdatetime-perl and libjson-perl
  * Update Dominique's email address

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 02 Aug 2011 16:24:39 +0200

libdist-zilla-perl (4.200009-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 07 Jul 2011 18:21:14 +0200

libdist-zilla-perl (4.200008-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 23 Jun 2011 20:06:15 +0200

libdist-zilla-perl (4.200007-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 02 Jun 2011 13:16:28 +0200

libdist-zilla-perl (4.200006-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 29 Apr 2011 11:27:58 +0200

libdist-zilla-perl (4.200005-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2
  * Remove versioned dependencies on libsoftware-license-perl,
    libstring-rewriteprefix-perl, libstring-formatter-perl,
    libcpan-uploader-perl, libcpan-meta-perl, libconfig-mvp-reader-ini-perl

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 25 Apr 2011 20:33:01 +0200

libdist-zilla-perl (4.200004-1) unstable; urgency=low

  * New upstream release
  * Add versioned (Build-)Depends(-Indep) on libconfig-mvp-perl

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 26 Mar 2011 16:30:40 +0100

libdist-zilla-perl (4.200003-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * New upstream release
  * Add myself to Uploaders
  * Update debian/copyright to latest DEP5 revision

  [ gregor herrmann ]
  * Add libtest-deep-perl to Depends as per upstream changes.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 10 Feb 2011 20:56:32 +0100

libdist-zilla-perl (4.200001-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update years of copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 30 Jan 2011 15:24:53 +0100

libdist-zilla-perl (4.200000-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 16 Dec 2010 12:16:06 +0100

libdist-zilla-perl (4.102345-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release 4.102343.
  * Bump build-dep on libtest-simple-perl to >= 0.96.
  * Add build-dep on libtest-fatal-perl.
  * Update my email address.

  [ gregor herrmann ]
  * New upstream release 4.102344.
  * Make (build) dependency on libapp-cmd-perl versioned.

  * New upstream release 4.102345.
  * Add (build) dependency on perl (>= 5.10.1) | libparent-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Nov 2010 16:39:31 +0100

libdist-zilla-perl (4.102342-1) unstable; urgency=low

  * New upstream release.
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 17 Oct 2010 15:12:01 +0200

libdist-zilla-perl (4.102341-2) unstable; urgency=low

  * debian/control: added myself to uploaded, added libfile-copy-recursive-perl
    in Depends. Re-ordered list of dependencies

 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 21 Sep 2010 15:55:35 +0200

libdist-zilla-perl (4.102341-1) unstable; urgency=low

  * New upstream release.
  * Add (Build-)Depends on libconfig-ini-perl.
  * debian/copyright: Refer to "Debian systems" instead of "Debian GNU/Linux
    systems".

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 19 Sep 2010 13:41:39 +0900

libdist-zilla-perl (4.102340-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/rules: switch order of arguments to dh.

  [ Ansgar Burchardt ]
  * New upstream release.
  * Bump (build-)dep on liblog-dispatchouli-perl to >= 1.102220.
  * Make build-dep on perl unversioned (5.10 is in stable),
    remove versioned dependency on perl.
  * Use debhelper compat level 8.
  * debian/copyright: Refer to /usr/share/common-licenses/GPL-1.
  * Bump Standards-Version to 3.9.1.

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 25 Aug 2010 22:28:36 +0900

libdist-zilla-perl (4.101900-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 15 Jul 2010 21:30:40 +0900

libdist-zilla-perl (4.101880-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 08 Jul 2010 11:49:11 +0900

libdist-zilla-perl (4.101831-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 03 Jul 2010 20:40:04 +0900

libdist-zilla-perl (4.101812-1) unstable; urgency=low

  * New upstream release.
  * Add (build-)dep on libterm-readkey-perl.
  * Add build-dep, recommends on libterm-readline-gnu-perl.
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 02 Jul 2010 00:39:44 +0900

libdist-zilla-perl (4.101612-1) unstable; urgency=low

  * New upstream release.
    + INCOMPATIBLE CHANGES: Has a new global config system.
      See NEWS or the upstream changelog for details.
  * Add dependency on libtry-tiny-perl (was just build-dep before).
  * Bump (build-)dep on
    - libconfig-mvp-perl to >= 2.101540,
    - libcpan-meta-perl to >= 2.101550,
    - libcpan-uploader-perl to >= 0.101550.
  * Add (build-)dep on libfile-sharedir-perl, libmoosex-lazyrequire-perl,
    libmoosex-setonce-perl.
  * Add build-dep on libtest-deep-perl.

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 15 Jun 2010 22:25:10 +0900

libdist-zilla-perl (3.101520-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 03 Jun 2010 18:39:44 +0900

libdist-zilla-perl (3.101461-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release.
    + Passes tests again. (Closes: #583467)
  * Make (build-)dep on liblog-dispatchouli-perl, libstring-formatter-perl,
    libstring-rewriteprefix-perl versioned.
  * Drop (build-)dep on libmixin-extrafields-perl.
  * Bump (build-)dep on libconfig-mvp-perl to >= 2.101460.
  * Replace (build-)dep on libconfig-ini-mvp-perl with
    libconfig-mvp-reader-ini-perl (>= 2.101460).
  * Bump (build-)dep on libsoftware-license-perl to >= 0.101370.
  * Add (build-)dep on libcpan-meta-perl, libmoosex-types-perl-perl.

  [ gregor herrmann ]
  * Note incompatible changes in debian/NEWS.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 28 May 2010 22:48:03 +0900

libdist-zilla-perl (2.101040-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 15 Apr 2010 19:47:53 +0900

libdist-zilla-perl (2.100991-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add libfile-copy-recursive-perl to Build-Depends-Indep.
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 10 Apr 2010 18:14:32 +0900

libdist-zilla-perl (2.100960-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream releases 1.100711, 2.100922, 2.100960
  * Bump debhelper dependency down to 7 (quilt no longer needed)
  * Now uses File::pushd instead of File::chdir

  [ gregor herrmann ]
  * New upstream releases 1.100660, 2.100880
  * New build and runtime dependencies: liblog-dispatchouli-perl,
    libmoosex-singleton-perl, libconfig-ini-perl, libjson-perl,
    libmixin-extrafields-perl, libmoosex-types-perl,
    libversion-requirements-perl.
  * Add NEWS.Debian with incompatible changes.
  * Dependencies: add Test::More 0.90, libtry-tiny-perl,
    libmoosex-role-parameterized-perl, libperl-prereqscanner-perl, autodie,
    libio-tiecombine-perl; remove libconfig-ini-perl,
    libmixin-extrafields-param-perl, libmoosex-singleton-perl,
    libstring-flogger-perl; bump libjson-perl.
  * Convert to source format 3.0 (quilt).
  * debian/copyright: update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 08 Apr 2010 00:02:29 +0200

libdist-zilla-perl (1.100600-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Mar 2010 23:15:11 +0100

libdist-zilla-perl (1.100520-1) unstable; urgency=low

  * New upstream release
  * Now install todo/ docs
  * Standards-Version 3.8.4 (no changes)

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 22 Feb 2010 21:22:52 -0500

libdist-zilla-perl (1.100160-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Add myself to Uploaders and Copyright
  * Require perl 5.10 instead of 5.9.3
  * Package now requires libfile-sharedir-install-perl

  [ gregor herrmann ]
  * Update year of upstream copyright.

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 24 Jan 2010 01:05:22 -0500

libdist-zilla-perl (1.093400-1) unstable; urgency=low

  * Initial release (closes: #562102).

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 Dec 2009 18:47:19 +0100
